MKUBOOTIMAGE(1)

NAME
mkubootimage - create U-Boot loader image

SYNOPSIS
mkubootimage [-h] -A (arm|arm64|i386|mips|mips64|or1k|powerpc|sh) -a address [-C (bz2|gz|lzma|lzo|none)] [-E address] [-e address] [-f (arm64|uimg)] [-m magic] -n image [-O (freebsd|linux|netbsd|openbsd)] -T (fs|kernel|kernel_noload|ramdisk|standalone) [-u] source destination

DESCRIPTION
The mkubootimage utility is used to create an image for Das U-Boot, the "Universal Boot Loader".

The arguments are as follows:

-A (arm|arm64|i386|mips|mips64|or1k|powerpc|sh)
    Defines the architecture. This is required for "uimg" format images.

-a address
    Sets the image load address. This is an integer between 0 and UINT32_MAX. This is required for all "uimg" image types except for script, ramdisk, and kernel_noload.

-C (bz2|gz|lzma|lzo|none)
    Defines the compression. The default is "none".

-E address
    Define the entry point. This is an integer between 0 and UINT32_MAX. This option is the same as -e but it inverts the bytes to convert the 32 bit integer from little to big endian (or vice versa). If -E or -e are not set, the entry point defaults to the image load address (-a).

-e address
    Define the entry point. This is an integer between 0 and UINT32_MAX. If -E or -e are not set, the entry point defaults to the image load address (-a).

-f (arm64|uimg)
    Defines the output image format type. The default is "uimg".

-h  Display the usage and exit.

-m magic
    Set the magic used for "uimg" format images. This is an integer between 0 and UINT32_MAX. The default is "0x27051956".

-n image
    Defines the image name. This is required.

-O (freebsd|linux|netbsd|openbsd)
    Defines the operating system type. The default OS name is "netbsd".

-T (fs|kernel|kernel_noload|ramdisk|standalone|script)
    Defines the image type. This is required for "uimg" format images.

-u  Update the header in an existing file instead of creating a new one.

The required source argument is the filename of the kernel that is read. The required destination argument is the filename of the image file that is created.

EXIT STATUS
mkubootimage returns 1 on failure to read the kernel, generate a header, or create the image.

EXAMPLES
Before the image is written, the header is displayed to standard out; for example:

     magic:       0x27051956
     time:        Tue Jun  7 15:58:41 2011
     size:        2482203
     load addr:   0x00020000
     entry point: 0x00020000
     data crc:    0x700fdf53
     os:          2 (netbsd)
     arch:        7 (powerpc)
     type:        2 (kernel)
     comp:        1 (gz)
     name:        NetBSD/evbppc 5.99.52 (INSTALL_PMPPC)
     header crc:  0x94ea96cf

SEE ALSO
"Das U-Boot - the Universal Boot Loader" http://www.denx.de/wiki/U-Boot/

HISTORY
The mkubootimage command first appeared in NetBSD 6.0.

AUTHORS
-nosplit The mkubootimage utility was originally written by Jared McNeill. This manual page was written by Jeremy C. Reed.